Subject: Re: [TR] Floor Jack

From: Q <[email-masked]>
Date: Mon, 28 Oct 2019 15:11:00 -0700

I have several different HF Jacks.  I have had the small aluminum jack 
for about 12 years and a couple of 2 ton steel ones for a more than 20 
years.  No problems to date.  My only issue is the small aluminum jack's 
lift is about 1" short of placing a TR's front wheels on my steel ramps.

The small aluminum one is great when you are under the car working on 
things.  Right now it is holding the back of the motor of my TR4 up 
while I have the transmission out.  It is so much easier to move it 
around than the larger steel ones.  It's a lot easier to put in a trunk 
when the wife gets a flat as well.

Edward Hamer
Petaluma CA
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive